// ficharevista.h - Declaración de la clase CFichaRevista

#if !defined( _CFREVIS_H_)
#define _CFREVIS_H_
#include "ficha.h"  // clase CFicha

/////////////////////////////////////////////////////////////////
// Clase para operar con las revistas de una biblioteca
class CFichaRevista : public CFicha
{
  private:
    int NroDeRevista;
    int Anyo;
  public:
    // Constructor
    CFichaRevista(std::string = "", std::string = "", int = 0, int = 0);
    // Otras funciones
    void AsignarNroDeRevista(int);
    int ObtenerNroDeRevista() const;
    void AsignarAnyo(int);
    int ObtenerAnyo() const;
    CFichaRevista *Clonar();
};

#endif // _CFREVIS_H_
/////////////////////////////////////////////////////////////////
